package com.ims.eval.service.custom;


import com.alibaba.fastjson.JSON;
import com.ims.eval.config.ImaConfig;
import com.ims.eval.entity.dto.result.ResultInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.*;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

@Service
@Slf4j
public class PostUserService {

	@Autowired
	private RestTemplate restTemplate;


	@Autowired
	private ImaConfig imaConfig;


	public Object getPostUserList(Integer current, Integer size, String posId, HttpServletRequest request) {
		HttpHeaders headers = new HttpHeaders();
		headers.setContentType(MediaType.APPLICATION_JSON_UTF8);
		headers.add("Blade-Auth", "bearer "+request.getHeader("Blade-Auth"));
		HttpEntity<Map> param = new HttpEntity<>(null, headers);
		ResponseEntity<String> responseEntity2 = restTemplate.exchange(imaConfig.getGatewayUrl() + "/ims-idms/pgposuser/page?current={1}&size={2}&posId={3}", HttpMethod.GET, param, String.class, current,size,posId);
		log.info("\n code:{}\n header:{}\n body:{}\n", responseEntity2.getStatusCodeValue(), responseEntity2.getHeaders(), responseEntity2.getBody());
		if (200 == responseEntity2.getStatusCodeValue()) {
			ResultInfo resultInfo = JSON.parseObject(responseEntity2.getBody(), ResultInfo.class);
			if(200 == resultInfo.getCode()){
				return resultInfo.getData();
			}
			return null;
		}
		return null;
	}


	public Object getUserPostList(Integer current, Integer size, String userId, HttpServletRequest request) {
		HttpHeaders headers = new HttpHeaders();
		headers.setContentType(MediaType.APPLICATION_JSON_UTF8);
		headers.add("Blade-Auth", "bearer "+request.getHeader("Blade-Auth"));
		HttpEntity<Map> param = new HttpEntity<>(null, headers);
		ResponseEntity<String> responseEntity2 = restTemplate.exchange(imaConfig.getGatewayUrl() + "/ims-idms/pgposuser/page?current={1}&size={2}&userId={3}", HttpMethod.GET, param, String.class, current,size,userId);
		log.info("\n code:{}\n header:{}\n body:{}\n", responseEntity2.getStatusCodeValue(), responseEntity2.getHeaders(), responseEntity2.getBody());
		if (200 == responseEntity2.getStatusCodeValue()) {
			ResultInfo resultInfo = JSON.parseObject(responseEntity2.getBody(), ResultInfo.class);
			if(200 == resultInfo.getCode()){
				return resultInfo.getData();
			}
			return null;
		}
		return null;
	}




}
